# Interface QueueExecutor

All Known Implementing Classes:
  `FixedQueueExecutor, TemporaryQueueExecutor`

public interface QueueExecutor
Executor for (pseudo) synchronous communication.
Created on: October 28, 2004

Version:
  $Revision: 1649531 $

## Method Summary

Modifier and Type
Method
Description
`Message`
`sendAndReceive(Message request, int deliveryMode, int priority, long expiration)`
Sends and receives a message.

## Method Details

### sendAndReceive

Message sendAndReceive(Message request, int deliveryMode, int priority, long expiration) throws JMSException
Sends and receives a message.

Parameters:
  `request` - the message to send
  `deliveryMode` - the delivery mode to use
  `priority` - the priority for this message
  `expiration` - messages lifetime in ms
Returns:
  the received message or `null`